%global momorel 1

%define cbq_version v0.7.3

Summary: Advanced IP routing and network device configuration tools
Name: iproute
Version: 2.6.29
Release: %{momorel}m%{?dist}
Group: Applications/System
Source: http://developer.osdl.org/dev/iproute2/download/iproute2-%{version}.tar.bz2
NoSource: 0
URL:	http://linux-net.osdl.org/index.php/Iproute2
Patch1: iproute2-2.6.9-kernel.patch
Patch2: iproute2-ss050901-opt_flags.patch
Patch3: iproute-ip-man.patch
Patch4: iproute2-2.6.25-segfault.patch
Patch5: iproute2-sharepath.patch
Patch6: iproute2-2.6.29-fix_headers_for_gre.patch
Patch7: iproute2-missing-arpd-directory.patch
Patch8: iproute2-display_ip4ip6tunnels.patch

License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: tetex-latex tetex-dvips linuxdoc-tools
BuildRequires: flex linux-atm-libs-devel psutils db4-devel bison

%description
The iproute package contains networking utilities (ip and rtmon, for
example) which are designed to use the advanced networking
capabilities of the Linux 2.4.x and 2.6.x kernel.

%prep
%setup -q -c iproute-%{version}
%patch1 -p1 -b .kernel
%patch2 -p1 -b .opt_flags
%patch3 -p1
%patch4 -p1 -b .seg
%patch5 -p1 -b .share
%patch6 -p1 -b .hdrs
%patch7 -p1 -b .arpd
%patch8 -p1 -b .ip4ip6

%build
export LIBDIR=%{_libdir}

cd iproute2-%{version}
make %{?_smp_mflags}
make -C doc

%install
rm --preserve-root -rf %{buildroot}

mkdir -p %{buildroot}/sbin \
	%{buildroot}%{_sbindir} \
	%{buildroot}%{_mandir}/man8 \
	%{buildroot}/%{_sysconfdir}/iproute2 \
	%{buildroot}%{_datadir}/tc \
	%{buildroot}%{_libdir}/tc

cd iproute2-%{version}
install -m 755 ip/ip ip/ifcfg ip/rtmon tc/tc %{buildroot}/sbin
install -m 755 misc/ss misc/nstat misc/rtacct misc/lnstat misc/arpd %{buildroot}%{_sbindir}
#netem is static
#install -m 755 tc/q_netem.so %{buildroot}%{_libdir}/tc
install -m 755 tc/q_atm.so %{buildroot}%{_libdir}/tc
install -m 644 netem/normal.dist netem/pareto.dist netem/paretonormal.dist %{buildroot}%{_datadir}/tc
install -m 644 man/man8/*.8 %{buildroot}/%{_mandir}/man8
rm -r %{buildroot}/%{_mandir}/man8/ss.8
iconv -f latin1 -t utf8 < man/man8/ss.8 > %{buildroot}/%{_mandir}/man8/ss.8
install -m 755 examples/cbq.init-%{cbq_version} %{buildroot}/sbin/cbq
install -d -m 755 %{buildroot}/%{_sysconfdir}/sysconfig/cbq

cp -f etc/iproute2/* %{buildroot}/%{_sysconfdir}/iproute2
rm -rf %{buildroot}/%{_libdir}/debug/*

#create example avpkt file
cat <<EOF > %{buildroot}/%{_sysconfdir}/sysconfig/cbq/cbq-0000.example
DEVICE=eth0,10Mbit,1Mbit
RATE=128Kbit
WEIGHT=10Kbit
PRIO=5
RULE=192.168.1.0/24
EOF

cat <<EOF > %{buildroot}/%{_sysconfdir}/sysconfig/cbq/avpkt
AVPKT=3000
EOF

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/iproute2
%doc iproute2-%{version}/README.decnet iproute2-%{version}/README.iproute2+tc iproute2-%{version}/RELNOTES iproute2-%{version}/examples/README.cbq
%doc iproute2-%{version}/doc/*.ps 
%doc iproute2-%{version}/examples
/sbin/*
%{_mandir}/man8/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
%{_sbindir}/*
%dir %{_datadir}/tc
%{_datadir}/tc/*
%dir %{_libdir}/tc/
%{_libdir}/tc/*
%dir %{_sysconfdir}/sysconfig/cbq
%config(noreplace) %{_sysconfdir}/sysconfig/cbq/*

%changelog
* Tue Jul 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.29-1m)
- sync with Fedora 11 (2.6.29-2)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.23-4m)
- rebuild against rpm-4.6

* Mon Oct 13 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.23-3m)
- rebuild against db4-4.7.25-1m

* Mon May 19 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.23-2m)
- depend on linux-atm-libs

* Tue Apr 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.23-1m)
- update to 2.6.23
-- sync fedora (almost :-)
-- no tc depend on linux-atm-libs
-- build fix only

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.20-3m)
- rebuild against gcc43

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.20-2m)
- rebuild against db4-4.6.21

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.20-1m)
- update 2.6.20
- sync fc-devel

* Fri Nov 17 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.6.15-2m)
- rebuild against db-4.5

* Sun May  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.15-1m)
- version up
- based on fc-devel

* Tue Dec 16 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.4.7-8m)
- [SECURITY] CAN-2003-0856
  iproute 2.4.7 and earlier allows local users to cause a denial of service via spoofed messages as other users to the kernel netlink interface. 

* Fri Sep 24 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.4.7-7m)
- add patch8 for kernel 2.6

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.7-6m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m
- change _ipv6 to usagi_ipv6

* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.4.7-5m)
- use %%{momorel}

* Sat May 18 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.7-4k)
- add usagi patch

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (2.4.7-2k)
- ver up.

* Sat Jun 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.4-16k)
- add iproute-2.2.4-kernel-2.4.4.patch for kernel 2.4.4

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.4-14k)
- rebuild against disable IPv6 environment

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remake Patch1

* Fri Oct 27 2000 Kenichi Matsubara <m@kondara.org>
- add BuildPrereq: dvipsk

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to cope with glibc 2.2 new resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment
- use RPM macros
- handle RPM_OPT_FLAGS

* Sat Jun 03 2000 Than Ngo <than@redhat.de>
- fix iproute to build with new glibc

* Fri May 26 2000 Ngo Than <than@redhat.de>
- update to 2.2.4-now-ss000305
- add configuration files

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- first build
